/*===================================
Stylesheet f?r "Guido Gun-Man"  16.09.2019

Stand: Index-Side erstellen
Datei: style.css
Datum: 19.09.2019
Autor: Achim Hoof

Letzte Bearbeitung:21.12.2020
index.html, vw_t1.html, filmfotoautos.html, fuhrpark.html bearbeitet.

Aufbau: 1. Kalibrierung
        2. Allgemeine Styles Styles f?r Layoutbereiche (Kopfbereich, Navibereich usw.)
       2a. HEADER
        3. GUNMAN/START
        4. FUHRPARK
        4b. FUHRPARK/Quartett 
        5. ABOUT
        6. KONTAKT
        7. MEDIENBERICHTE
        8. Footer
        9. MEDIA QUERIES (TABLETS/MOBILE)
=====================================*/


/*===================================
        1. Kalibrierung
=====================================*/
*  {
    padding: 0px;
    margin: 0px;
    font-family: Verdana, Arial, sans-serif;
}

/*===================================
        2. Allgemeine Styles Styles f?r Layoutbereiche (Kopfbereich, Navibereich usw.)
=====================================*/

html, body {
    text-align: center;
}



a {
    text-decoration: none;
}

li {
    list-style: none; 
}

h3 {
    font-size: 40pt; padding-top: 8%; margin-bottom: 5px;
}

h4, p {
    font-family: Verdana, Arial, sans-serif;
    font-size: 16pt;
    padding-bottom: 10px;
    color: #000000;
    line-height: 1.5em;
}



#logo, li, img, .button  {
    transition: all 300ms; -webkit-transition: all 300ms; -moz-transition: all 300ms; -o-transition: all 300ms;
}

#toplink {
        width: 80%;
        height: 435px; 
        position: fixed;
        bottom: 30%;
        right: 10%;
        transform: rotate(-10deg); 
      }

/*===================================
        2a. HEADER
=====================================*/

header {
    width: 100%;
    height: 65px;
    position: fixed;
    top: 0;
    left: 0;
    background: linear-gradient(90deg, #09517F 0%, #3878A1 50%);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
    z-index: 1;
}

#main-nav h2 {
    color: #fffFFF;        
}



#logo {
    width: 177px;
    float: left;
    margin: 5px 0 0 10px;
}

#logo:hover {
    opacity: 0.5;
}

#logo img {
    width: 30%;
}

header nav {
    float: right;
    margin: 20px 50px 0 0;
    width:100%;
    max-width:460px;
}

header nav ul li {
    float: left;
    margin-left: 25px;
    font-size: 16px;
    font-weight: bold;
    color: #ffffff;
}



header nav ul li:hover {
    padding-top: 5px;
}

/*===================================
 * 
        3. GUNMAN/START
=====================================*/


#gunman {
    background: url(../Bilder/hintergrund/hintergrund_sunrise.jpg);
    background-position: center center;
    background-size: cover; 
    background-attachment: fixed;
}

#gunman hr {
    width: 30px;
    height: 3px;
    background: #fff;
    border: 0;
    margin: 0 auto 40px auto;
}

#gunman p {
    color: #FFFFFF;
    width: 80%;
    margin: 25% auto auto auto;
}                     

 section {
    min-height: 100%;
} 

section p {
    width:100%;
    max-width:1600px;
    margin:10px auto !important;
    display: block;
}

#gunman h1  {
    font-family: Verdana, Arial, sans-serif;
    font-style: italic;
    font-size: 60pt;
    margin: 0 auto 0 auto;
    padding-left: 50px;
    padding-top: 75px;
    color: #FFFFFF;
    text-shadow: #000000 1px 1px 4px;
}
    
#gunman h2  {
    font-family: Verdana, Arial, sans-serif;
    font-style: italic;
    font-size: 30pt;
    margin: 0 auto 0 auto;
    color: #FFFFFF;
    text-shadow: #000000 1px 1px 4px;    
}

#gunman h3  {
    font-family: Verdana, Arial, sans-serif;
    font-style: italic;
    font-size: 18pt;
    margin: 0 auto 0 auto;
    padding-top: 5px;
    color: #FFFFFF;
    text-shadow: #000000 1px 1px 4px;
}

#gunman img{
    width: 90%;
    height: 90%;
    padding-top: 5rem;
}

#gunman img:hover {
    opacity: 1;
} 
article {
    padding: 30px;
    text-align: left;
    float: right;
    margin-right: 5%;    
}

article div  {
     font-weight: bold;
     margin: 5px;
     font-style:  normal;
     font-size: 10pt;
     padding: 15px;
}

#article p {
    color: #000000;
    width: 80%;
    margin: 0% 20% 0% 20%;
}
/*===================================
 *
        4. FUHRPARK
=====================================*/

#fuhrpark {
    background: url(../Bilder/hintergrund/hintergrund_fuhrpark.jpg);
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
}

#fuhrpark hr {
    width: 30px;
    height: 3px;
    background: #fff;
    border: 0;
    margin: 0 auto 40px auto;
}

#fuhrpark h3 {
    color: #fff;
    margin-top: 0%;   
}

#fuhrpark h4 {
    color: #fff;
}


#fuhrpark p {
    margin: 10px 20px;
    padding: 15px;
    color: #fff;
    text-align: left;
}


#fuhrparkindex {
    background: url(../Bilder/hintergrund/hintergrund_fuhrpark.jpg);
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
}

#fuhrparkindex hr {
    width: 30px;
    height: 3px;
    background: #fff;
    border: 0;
    margin: 0 auto 40px auto;
}

#fuhrparkindex h3 {
    color: #fff;
    margin-top: 0%;
}

#fuhrparkindex h4 {
    color: #fff;
}


#fuhrparkindex p {
    margin: 10px 20px;
    padding: 15px;
    color: #fff;
    text-align: left;
}

#fuhrparkindex img {
    width: 50%;
    height: 50%;
    position: static;
    margin: 2% 2% 2% 2%;
    border-radius: 5px;
    border: 10px solid;
    border-color: #ffffff;
    
}

#fuhrparkindex li img {
    width: 100%;
    height: auto;
    padding: 0;
    margin: 0;
}

.extlink {
    background-color: #FFFF00;
}

.diy-slideshow{
  position: relative;
  display: block;
  overflow: hidden;
}
figure{
  position: absolute;
  opacity: 0;
  transition: 1s opacity;
}
figcaption{
  position: absolute;
  font-family: sans-serif;
  font-size: .8em;
  bottom: .75em;
  right: 5em;
  padding: .25em;
  color: #fff;
  background: rgba(0,0,0, .25);
  border-radius: 2px;
}
figcaption a{
  color: #fff;
}
figure.show{
  opacity: 1;
  position: static;
  transition: 1s opacity;
}
.next, .prev{
  color: #fff;
  position: absolute;
  background: #3878A1;
  top: 50%;
  z-index: 1;
  font-size: 2em;
  margin-top: -42px;
  opacity: .8;
  user-select: none;
}
.next:hover, .prev:hover{
  cursor: pointer;
  opacity: 1;
}
.next{
  right: 0;
  padding: 20px 5px 25px 10px;
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
}
.prev{
  left: 0;
  padding: 20px 10px 25px 5px;
  border-top-right-radius: 3px;
  border-bottom-right-radius: 3px;  
}

/*===================================
 *
        4b. FUHRPARK/Quartett
=====================================*/

#projects {
    background: url(../Bilder/hintergrund/hintergrund_fuhrpark.jpg);
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
}

#projects hr {
    width: 30px;
    height: 3px;
    background: #fff;
    border: 0;
    margin: 0 auto 40px auto;
}

#projects h3 {
    color: #fff;
    margin-top: 0%;
}

#projects h4 {
    color: #fff;
}


#projects p {
    margin: 10px 20px;
    padding: 15px;
    color: #fff;
    text-align: left;
}

#projects {
    width: 100%;
    margin: 0 auto 0 auto;
}

#projects ul {
    padding: 10px;
}

#projects ul li {
    width: 33.3%;
    float: left;
    margin-bottom: 15px;
}

#projects div ul li img {
    width:90%;
    border-radius: 5px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.5);
}  
 
#projects div {
    padding-bottom: 60%;
}
 
#projects img:hover {
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
}


/*===================================
 *
        5. ABOUT
=====================================*/



#about {
    background: url(../Bilder/hintergrund/hintergrund_about.jpg);
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
}

#about img {
    width: 243px;
    height: 328px;
    border-radius: 5px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.5);
}

#projects img {
    width:auto;
    height: 50%;
    border-radius: 5px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.5);
}
#about img:hover {
    transform: scale(1.1);
    -webkit-transform: scale(1.1);
    -moz-transform: scale(1.1);
    -o-transform: scale(1.1);
} 
#about hr {
    width: 30px;
    height: 3px;
    background: #000000;
    border: 0;
    margin: 0 auto 40px auto;
}

#about h4 {
    font-size: 25px;
}
#about p {
    color: #000000;
    font-family: Verdana, Arial, sans-serif;
    font-size: 16pt;
    font-style: italic;
    width: 700px;
    margin: 0 auto 0 auto;
}


/*===================================
 *
        6. KONTAKT
=====================================*/

form input, textarea {
    font-family: Verdana, Arial, sans-serif;
    font-size: 15px;
    margin-bottom: 10px;
    border-radius: 2px;
    border: 2px solid;
    border-color: #494949;
}

form input:first-child {
    margin-top: 10px;
}

form input {
    width: 552px;
    height: 30px;
}

form textarea {
    width: 550px;
    height: 200px;
    resize: none;
}

.input_text {
    color: #494949;
    padding-left: 10px;
}

::-webkit-input-placeholder {color: #999999;}
::-moz-placeholder {color: #999999;}
:-ms-input-placeholder {color: #999999;}
:-moz-placeholder {color: #999999;}

.button {
    background-color: #f0f0f0;
    color: #494949;
    width: 566px;
    height: 50px;
}

.button:hover {
    background-color: #494949;
    color: #f0f0f0;    
}

/*===================================
 *
        7. MEDIENBERICHTE
=====================================*/

#medienberichte {
    background: url(../Bilder/hintergrund/hintergrund_fuhrpark.jpg);
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
}

#medienberichte hr {
    width: 30px;
    height: 3px;
    background: #fff;
    border: 0;
    margin: 0 auto 40px auto;
}

#medienberichte h3 {
    color: #fff;
    margin-top: 0%;
}

#medienberichte h4 {
    color: #fff;
}


#medienberichte p {
    margin: 10px 20px;
    padding: 15px;
    color: #fff;
    text-align: left;
}



/*===================================
 *
        8. Footer
=====================================*/

footer {
    width: 100%;
    height: 70px;
    background: linear-gradient(90deg, #09517F 0%, #3878A1 50%);
}

footer p {
    font-size: 12px;
    color: #7AA7EB;
    padding-top: 30px;
}

footer ul li {
    float: right;
    margin-right: 25px;
    padding-top: 30px;
    font-size: 12px;
    color: #000000;
}

/*===================================
 *
        9. MEDIA QUERIES
=====================================*/

/*= TABLETS=*/

@media screen and (max-width: 1024px) {
    header {
        height: auto;
    }                

    #toplink {
        width: 75%;
        height: 80px;
        position: fixed;
        bottom: 30%;
        right: 10%;
        transform: rotate(-10deg);
      }

header h2{
    font-size: 12px;
    }
        
    #logo {
        width: 100px;
        margin-top: 5px;
    }
    
    header nav {
        margin-top: 15px;
    } 
    
    header nav ul li {
        font-size: 12px;
    }
    
    #gunman h1 {
        font-size: 40px;
        margin-top: 50px;
    }               
    
    #gunman h2 {
        font-size: 20px;
    }
    
    #gunman h3 {
        font-size: 12px;
    }
    
    h3 {
        padding-top: 12%;
    }
    
    #about p {
        width: 80%;
    }
    
    #projects {
        width: auto;
    }
    
    #projects ul li {
        width: 100%;
        float: none;
    }
    
    #projects ul li:last-child {
        padding-bottom: 20%;
    }
    
    #projects img {
        width: 55%;
        height: auto;
    }
    
    form input, form textarea {
        width: 60%;
    }
    
    .button {
        width: 62%;
    }

    #projects div {
    padding-bottom: 0%;
}

/*= MOBILE width="708" height="235"=*/ 


@media screen and (max-width: 480px) {
    header {
        height: auto;
    }
    
#toplink {
        width: 60%;
        height: 60px;
        position: fixed;
        bottom: 30%;
        right: 20%;
        transform: rotate(-10deg);
      }    
    
#logo {
        width: 90px;
        margin-left: 30px;
    }

    
    header h2{
    font-size: 10px;
    }

    article p {
        font-size: 14px;
        font-weight: bold;
    }


 video {
    width: 50% !IMPORTANT;
    height: auto !IMPORTANT;
    border-radius: 5px;
    border: 3px solid;
    border-color: #494949;
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.5);
}

#projects div {
    padding-bottom: 0%;
}


    section#fuhrpark h3:first-child,
    section#fuhrparkindex h3:first-child,
    section#projects h3:first-child,
    section#medienberichte h3:first-child
    {
        padding-top:100px !important;
    }
    


header nav {
    margin-bottom: 15px !important;
    margin-left:0px;
    margin-right:5px;
    max-width: 360px;
}
h3 {
    font-size:25pt;
}
section p {
    padding-left:15px !important;
    padding-right:15px !important;
    width:calc(100% - 30px) !important;
}
h1, h2, h3, h4 {
    width:calc(100% - 30px) !important;
    margin-left:auto;
    margin-right:auto;
}
.navlogo {
    display:none;

}
}















